Subject: [Ledger] AGENDA - Interledger Community Call - 9 August - 3pm UTC

From: Adrian Hope-Bailie <[email-masked]>
Date: Tue, 8 Aug 2017 14:03:15 +0200

There has been some good discussion, following the proposal to define a
binary RPC protocol, about the ILP packet definitions and layering in
general.

There are a number of proposals in the form of PRs on the RFC repo:

https://github.com/interledger/rfcs/pull/263
https://github.com/interledger/rfcs/pull/264
https://github.com/interledger/rfcs/pull/266

Discussion of these will likely take up the bulk of Wednesday's call but
please forward any other topics to the list and we'll pick them up.

To join or start the meeting, go to:
https://bluejeans.com/795795755
(Also works on iPhone or Android phone)

To connect directly from a room system?
1) Dial: 199.48.152.152 or bjn.vc
2) Enter Meeting ID: 795795755 -or- use the pairing code

Dial-in numbers: http://bluejeans.com/numbers (use Meeting ID: 795795755)

---

From: Evan Schwartz <[email-masked]>
Date: Wed, 09 Aug 2017 00:46:11 +0000

The discussion we've been having over the past couple of days has been one
of the most interesting I've been involved in since starting to work on
this project. If you can join this call I'd highly recommend it.

On Tue, Aug 8, 2017, 2:03 PM Adrian Hope-Bailie <[email-masked]>
wrote:

> _______________________________________________
> Ledger mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ledger
>
-- 

Evan Schwartz
Software Engineer
Managing Director of Ripple Luxembourg
<http:> <http:>

---

From: Dimitri De Jonghe <[email-masked]>
Date: Thu, 10 Aug 2017 10:55:05 +0200

Then I would rather see ledger-agnostic compute (ie https://www.codius.org/)
- but glad they start to realize that state transition is blocked by
compute consensus

2017-08-10 10:52 GMT+02:00 Jorge Timón <[email-masked]>:

> Unfortunately is based on ethereum, which has many design flaws. Bitcoin
> or Bitcoin-like smart contracts are much more interesting to me.
>
> On 10 Aug 2017 11:41, "Veikko Eeva" <[email-masked]> wrote:
>
>> Hi!
>>
>> This could be an interesting piece of discussion: http://plasma.io/. I
>> have not the paper (yet), here's the the abstract
>>
>> Abstract: Plasma is a proposed framework for incentivized and enforced
>> execution of smart contracts which is scalable to a significant amount of
>> state updates per second (potentially billions) enabling the blockchain to
>> be able to represent a significant amount of decentralized financial
>> applications worldwide. These smart contracts are incentivized to continue
>> operation autonomously via network transaction fees, which is ultimately
>> reliant upon the underlying blockchain (e.g. Ethereum) to enforce
>> transactional state transitions.
>>
>> We propose a method for decentralized autonomous applications to scale to
>> process not only financial activity, but also construct economic incentives
>> for globally persistent data services, which may produce an alternative to
>> centralized server farms.
>>
>> Plasma is composed of two key parts of the design: Reframing all
>> blockchain computation into a set of MapReduce functions, and an optional
>> method to do Proof-of-Stake token bonding on top of existing blockchains
>> with the understanding that the Nakamoto Consensus incentives discourage
>> block withholding.
>> This construction is achieved by composing smart contracts on the main
>> blockchain using fraud proofs whereby state transitions can be enforced on
>> a parent blockchain. We compose blockchains into a tree hierarchy, and
>> treat each as an individual branch blockchain with enforced blockchain
>> history and MapReducable computation committed into merkle proofs. By
>> framing one's ledger entry into a child blockchain which is enforced by the
>> parent chain, one can enable incredible scale with minimized trust
>> (presuming root blockchain availability and correctness).
>>
>> The greatest complexity around global enforcement of non-global data
>> revolves around data availability and block withholding attacks, Plasma has
>> mitigations for this issue by allowing for exiting faulty chains while also
>> creating mechanisms to incentivize and enforce continued correct execution
>> of data.
>>
>> As only merkleized commitments are broadcast periodically to the root
>> blockchain (i.e. Ethereum) during non-faulty states, this can allow for
>> incredibly scalable, low cost transactions        and computation. Plasma
>> enables persistently operating decentralized applications at high scale.
>>
>> Cheers,
>> Veikko Eeva
>>
>>

-- 

 <https://www.bigchaindb.com/>

Dimitri De Jonghe, PhD
Application Director
phone +32 496 809 414
skype dimi.dejonghe

BigchainDB GmbH <https://www.bigchaindb.com/> | Twitter
<https://twitter.com/bigchaindb/> | LinkedIn
<https://www.linkedin.com/company/bigchaindb> | GitHub
<https://github.com/bigchaindb/> | Facebook
<https://www.facebook.com/BigchainDB/>
[email-masked] | www.bigchaindb.com | +49 30 6482 6092
Wichertstr. 14a, 10439 Berlin | Managing Director: Bruce Pon | Registered
in Berlin HRB 160856B

---

From: Jorge Timón <[email-masked]>
Date: Thu, 10 Aug 2017 10:52:05 +0200

Unfortunately is based on ethereum, which has many design flaws. Bitcoin or
Bitcoin-like smart contracts are much more interesting to me.